class ContainedItem < ActiveRecord::Base

  hobo_model # Don't put anything above this

  fields do
    name :string, :required
    timestamps
  end

  belongs_to :container

  # --- Permissions --- #

  def create_permitted?
    acting_user.administrator?
  end

  def update_permitted?
    acting_user.administrator?
  end

  def destroy_permitted?
    acting_user.administrator?
  end

  def view_permitted?(field)
    true
  end
  
  # --- Callbacks --- #

  def before_create
    logger.info("Creating #{name} (#{self.class}): acting user is \"#{acting_user}\"")
  end
  
  def after_create
    logger.info("Created #{name} (#{self.class}): acting user is \"#{acting_user}\"")
  end
  
  def before_update
    logger.info("Updating #{name} (#{self.class}): acting user is \"#{acting_user}\"")
  end
  
  def after_update
    logger.info("Updated #{name} (#{self.class}): acting user is \"#{acting_user}\"")
  end
  
  def before_destroy
    logger.info("Destroying #{name} (#{self.class}): acting user is \"#{acting_user}\"")
  end
  
  def after_destroy
    logger.info("Destroyed #{name} (#{self.class}): acting user is \"#{acting_user}\"")
  end
end
