class HoboMigration1 < ActiveRecord::Migration
  def self.up
    create_table :contained_items do |t|
      t.string   :name
      t.datetime :created_at
      t.datetime :updated_at
      t.integer  :container_id
    end
    
    create_table :super_containers do |t|
      t.string   :name
      t.datetime :created_at
      t.datetime :updated_at
    end
    
    create_table :users do |t|
      t.string   :crypted_password, :limit => 40
      t.string   :salt, :limit => 40
      t.string   :remember_token
      t.datetime :remember_token_expires_at
      t.string   :name
      t.string   :email_address
      t.boolean  :administrator, :default => false
      t.datetime :created_at
      t.datetime :updated_at
      t.string   :state, :default => "active"
      t.datetime :key_timestamp
    end
    
    create_table :containers do |t|
      t.string   :name
      t.datetime :created_at
      t.datetime :updated_at
      t.integer  :super_container_id
    end
  end

  def self.down
    drop_table :contained_items
    drop_table :super_containers
    drop_table :users
    drop_table :containers
  end
end
